## rabbitmq-java-client 5.0.0

=== Makefile ===
MVN ?= mvn
MVN_FLAGS ?=

ifndef DEPS_DIR
ifneq ($(wildcard ../../UMBRELLA.md),)
DEPS_DIR = ..
else
DEPS_DIR = deps
endif
endif

MVN_FLAGS += -Ddeps.dir="$(abspath $(DEPS_DIR))"

.PHONY: all deps tests clean distclean

all: deps
	$(MVN) $(MVN_FLAGS) compile

deps: $(DEPS_DIR)/rabbit
	@:

dist: clean
	$(MVN) $(MVN_FLAGS) -DskipTests=true -Dmaven.javadoc.failOnError=false package javadoc:javadoc

$(DEPS_DIR)/rabbit:
	git clone https://github.com/rabbitmq/rabbitmq-server.git $@
	$(MAKE) -C $@ fetch-deps DEPS_DIR="$(abspath $(DEPS_DIR))"

tests: deps
	$(MVN) $(MVN_FLAGS) verify

deploy:
	$(MVN) $(MVN_FLAGS) deploy

clean:
	$(MVN) $(MVN_FLAGS) clean

distclean: clean
	$(MAKE) -C $(DEPS_DIR)/rabbitmq_codegen clean

.PHONY: cluster-other-node

cluster-other-node:
	$(exec_verbose) $(RABBITMQCTL) -n $(OTHER_NODE) stop_app
	$(verbose) $(RABBITMQCTL) -n $(OTHER_NODE) reset
	$(verbose) $(RABBITMQCTL) -n $(OTHER_NODE) join_cluster \
	  $(if $(MAIN_NODE),$(MAIN_NODE),$(RABBITMQ_NODENAME)@$$(hostname -s))
	$(verbose) $(RABBITMQCTL) -n $(OTHER_NODE) start_app

=== debian/changelog ===
rabbitmq-java-client (5.0.0-2) unstable; urgency=medium

  * Team upload.
  * Remove redundant debian/README.source
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Trim trailing whitespace.
  * Add debian/gbp.conf to enable pristine-tar
  * d/watch: version=5
  * d/rules: Remove template comments

 -- Andreas Tille <tille@debian.org>  Mon, 20 Oct 2025 19:12:04 +0200

rabbitmq-java-client (5.0.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 16:11:26 +0100

rabbitmq-java-client (5.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #879660)
  * Fill in debian/copyright

 -- Christopher Hoskin <mans0954@debian.org>  Tue, 24 Oct 2017 20:44:08 +0100

=== debian/control ===
Source: rabbitmq-java-client
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Christopher Hoskin <mans0954@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               maven-debian-helper,
               python3,
               libmaven-source-plugin-java,
               libbuild-helper-maven-plugin-java,
               libmaven-bundle-plugin-java,
               libdropwizard-metrics-java
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/java-team/rabbitmq-java-client
Vcs-Git: https://salsa.debian.org/java-team/rabbitmq-java-client.git
Homepage: https://www.rabbitmq.com/java-client.html

Package: librabbitmq-client-java
Architecture: all
Depends: ${misc:Depends},
         ${maven:Depends}
Suggests: ${maven:OptionalDepends}
Description: RabbitMQ Java client
 The RabbitMQ Java client library allows Java code to interface with RabbitMQ.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --buildsystem=maven

override_dh_auto_configure:
	PYTHONPATH=codegen/ python3 ./codegen.py header codegen/amqp-rabbitmq-0.9.1.json target/generated-sources/src/main/java/com/rabbitmq/client/AMQP.java
	PYTHONPATH=codegen/ python3 ./codegen.py body codegen/amqp-rabbitmq-0.9.1.json target/generated-sources/src/main/java/com/rabbitmq/client/impl/AMQImpl.java
	dh_auto_configure

=== debian/watch ===
Version: 5

Source: https://github.com/rabbitmq/@PACKAGE@/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d.]+)@ARCHIVE_EXT@
Filename-Mangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%
